http
PUT https://services.leadconnectorhq.com/knowledge-bases/{id}Authorization
| Name | Type | Required | Example | Description |
|---|---|---|---|---|
Authorization | string | Yes | Bearer token generated from the Leadway portal. See Authentication. | |
Version | string | Yes | 2021-07-28 | API version. |
Path parameters
| Name | Type | Required | Example | Description |
|---|---|---|---|---|
id | string | Yes |
Body
| Name | Type | Required | Example | Description |
|---|---|---|---|---|
name | string | No | field to update the name of the knowledge base | |
description | string | No | field to update the description of the knowledge base |
Responses
200 - Knowledge base updated successfully
success(boolean, required)
json
{
"success": true
}400 - Bad Request
statusCode(number): Example:400message(string): Example:Bad Request
json
{
"statusCode": 400,
"message": "Bad Request"
}Example
curl -X PUT 'https://services.leadconnectorhq.com/knowledge-bases/YOUR_id' \
-H 'Authorization: Bearer YOUR_TOKEN' \
-H 'Version: 2021-07-28' \
-H 'Content-Type: application/json' \
-d '{
"name": "string",
"description": "string"
}'const response = await fetch('https://services.leadconnectorhq.com/knowledge-bases/YOUR_id', {
method: 'PUT',
headers: {
Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`,
Version: '2021-07-28',
'Content-Type': 'application/json',
},
body: JSON.stringify({"name": "string", "description": "string"}),
});
const data = await response.json();import os, requests
response = requests.request(
'PUT',
'https://services.leadconnectorhq.com/knowledge-bases/YOUR_id',
headers={
'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}",
'Version': '2021-07-28',
'Content-Type': 'application/json',
},
json={"name": "string", "description": "string"},
)
data = response.json()<?php
$ch = curl_init('https://services.leadconnectorhq.com/knowledge-bases/YOUR_id');
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => 'PUT',
CURLOPT_HTTPHEADER => [
'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'),
'Version: 2021-07-28',
'Content-Type: application/json',
],
CURLOPT_POSTFIELDS => json_encode({'name': 'string', 'description': 'string'}),
]);
$data = json_decode(curl_exec($ch), true);